Subject: bug#57390: closed ([PATCH 0/3] gnu: Add harmonist-sdl.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Feb 2025 16:24:02 +0000

Your bug report

#57390: [PATCH 0/3] gnu: Add harmonist-sdl.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57390: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57390
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [PATCH 0/3] gnu: Add harmonist-sdl.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Sat, 15 Feb 2025 16:23:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Thanks for the proposed patches, I've mentioned you as co-author during
update on Harmonist to 0.5.1 and include harmonist-sdl as package
variant.

298ebc3c1f0 * gnu: Remove go-github-com-anaseto-gruid.
7b9fc84a693 * gnu: Remove go-github-com-anaseto-gruid-tcell.
bf17046d8bf * gnu: harmonist: Update to 0.5.1.
54e86bc1706 * gnu: Add go-codeberg-org-anaseto-gruid-tcell.
ca625c59551 * gnu: Add go-codeberg-org-anaseto-gruid-sdl.
679c74fc4a2 * gnu: Add go-github-com-veandco-go-sdl2.
014a5fc785f * gnu: Add go-codeberg-org-anaseto-gruid-js.
751b5c5b654 * gnu: Add go-codeberg-org-anaseto-gruid.

Closing as resolved in other way.

--
Oleg

Subject: [PATCH 0/3] gnu: Add harmonist-sdl.
From: Cairn <[email-masked]>
To: [email-masked]
Cc: Cairn <[email-masked]>
Date: Wed, 24 Aug 2022 18:01:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This is the SDL2 version of Harmonist.

https://github.com/anaseto/harmonist#sdl2-tiles-or-ascii

It's just an inheritence of the `harmonist` package, but I'm hoping the difference between the two packages is obvious enough not to require its own description. I didn't find a lot of inherited packages which change the original description, so I'm following their example.

Cairn (3):
  gnu: Add go-github-com-veandco-go-sdl2.
  gnu: Add go-github-com-anaseto-gruid-sdl.
  gnu: Add harmonist-sdl.

 gnu/packages/games.scm  | 43 +++++++++++++++++++++++++++++++++++++++++
 gnu/packages/golang.scm | 32 ++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

-- 
2.37.2